<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromArray;

/**
 * Export array to Excel
 *
 * @author Lucas Buzzo <lucas.buzzo@ab-inbev.com>
 *
 * @package App\Exports
 */
class ReportExport implements FromArray
{
    /**
     * Hold the information to be exported
     */
    protected array $data = [];

    /**
     * Instance a object defining the informations that will be exported
     */
    public function __construct(array $data)
    {
        $this->data = $data;
    }

    /**
     * To define and handle with the information
     *
     * @return array
     */
    public function array(): array
    {
        return $this->data;
    }
}
