<?php

// phpcs:disable BestIt.DocTags.RequiredPropertyTags.TagOccurrenceMinVar
// phpcs:disable BestIt.TypeHints.PropertyTypeHint.MissingAnyTypeHint

namespace App\Models;

use GeneaLabs\LaravelModelCaching\Traits\Cachable;
use Illuminate\Database\Eloquent\Model;

/**
 * AgegateDataValidation Class
 *
 * Specifies the fillable atrributes and base configation
 *
 * @author Lucas Buzzo <lucas.buzzo@ab-inbev.com>
 * @package App\Models
 */

class AgegateDataValidation extends Model
{
    use Cachable;

    /**
     * The attributes that are mass assignable.
     */
    protected $fillable = [
        'user_agent',
        'day',
        'month',
        'year',
    ];

    /**
     * Define the table name
     */
    protected $table = 'agegate_data_validation';
}
