<?php

namespace Database\Factories;

use App\Models\Channel;
use App\Models\ChannelCriteriaCategory;
use App\Models\CriteriaCategory;
use Illuminate\Database\Eloquent\Factories\Factory;

class ChannelCriteriaCategoryFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = ChannelCriteriaCategory::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'channel_id' => Channel::factory()->create(),
            'criteria_category_id' => CriteriaCategory::factory()->create()
        ];
    }
}
