<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddForeignKeysToCriteriaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->table('criteria', function (Blueprint $table) {
            $table->foreign(['criteria_category_id'], 'criteria_criteria_category_id_fkey')->references(['id'])->on('criteria_category');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->table('criteria', function (Blueprint $table) {
            $table->dropForeign('criteria_criteria_category_id_fkey');
        });
    }
}
