<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->create('onetrust_cookies', function (Blueprint $table) {
            $table->id();
            $table->text('domain')->index();
            $table->text('cookieName')->index();
            $table->text('lifespan');
            $table->text('cookie_host');
            $table->text('defaultCategory');
            $table->text('cookieSource');
            $table->text('thirdParty');
            $table->text('expiry');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->dropIfExists('onetrust_cookies');
    }
};
