<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->table('cookie_compliance_reports', function (Blueprint $table) {
            $table->dropColumn('link_id');
            $table->text('link')->index();
            $table->text('zone')->nullable();
            $table->text('country')->nullable();
            $table->boolean('dgp')->index();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->table('cookie_compliance_reports', function (Blueprint $table) {
            $table->integer('link_id');
            $table->dropColumn('link');
            $table->dropColumn('zone');
            $table->dropColumn('country');
            $table->dropColumn('dgp');
        });
    }
};
