<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->table('requests', function (Blueprint $table) {
            $table->foreign(['link_id'], 'link_id_fkey')->references(['id'])->on('links');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->table('requests', function (Blueprint $table) {
            $table->dropForeign('link_id_fkey');
        });
    }
};
