<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('links_criteria', function (Blueprint $table) {
            $table->boolean('use_on_report')->default(true);
        });
        
        Schema::table('manual_validation', function (Blueprint $table) {
            $table->boolean('use_on_report')->default(true);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::table('links_criteria', function (Blueprint $table) {
            $table->dropColumn('use_on_report');
        });
        
        Schema::table('manual_validation', function (Blueprint $table) {
            $table->dropColumn('use_on_report');
        });
    }
};
