<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('pgsql2')->table('cookie_compliance_reports', function (Blueprint $table) {
            $table->boolean('cookie_banner_implemented')->nullable()->change();
            $table->boolean('cookie_compliance')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('pgsql2')->table('cookie_compliance_reports', function (Blueprint $table) {
            $table->boolean('cookie_banner_implemented')->default(false)->change();
            $table->boolean('cookie_compliance')->default(false)->change();
        });
    }
};
