<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('nps_feedbacks', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->string('rating', 50);
            $table->text('feedback_message');
            $table->timestamps();
            $table->softDeletes();
            
            $table->foreign('user_id')->references(['id'])->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('nps_feedbacks');
    }
};
