<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ownership', function (Blueprint $table) {
            $table->id();
            $table->integer('link_id')->unique();
            $table->text('excelence')->nullable();
            $table->text('iard')->nullable();
            $table->text('privacy_and_security')->nullable();
            $table->text('cookies')->nullable();
            $table->text('pia')->nullable();
            $table->text('website_data')->nullable();
            $table->timestamps();
            $table->softDeletes();

            $table->foreign('link_id')->references(['id'])->on('links');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ownership');
    }
};
